---
title: TextEncoder.prototype.encode()
slug: Web/API/TextEncoder/encode
tags:
  - API
  - Encoding
  - Method
  - Reference
  - TextEncoder
  - encode
---
<p>{{APIRef("Encoding API")}}</p>

<p>The <strong><code>TextEncoder.prototype.encode()</code></strong> method takes a {{domxref("USVString")}} as input, and returns a {{jsxref("Global_Objects/Uint8Array", "Uint8Array")}} containing the text given in parameters encoded with the specific method for that <code>TextEncoder</code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>b1</var> = <var>encoder</var>.encode(<var>string</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>string</var></code></dt>
 <dd>Is a {{DOMxRef("USVString")}} containing the text to encode.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("Uint8Array")}} object.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;p class="source"&gt;This is a sample paragraph.&lt;/p&gt;
&lt;p class="result"&gt;Encoded result: &lt;/p&gt;</pre>

<pre class="brush: js notranslate">const sourcePara = document.querySelector('.source');
const resultPara = document.querySelector('.result');
const string = sourcePara.textContent;

const textEncoder = new TextEncoder();

let encoded = textEncoder.encode(string);
resultPara.textContent += encoded;</pre>

<p>{{EmbedLiveSample('Examples')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Encoding", "#dom-textencoder-encode", "TextEncoder.prototype.encode()")}}</td>
   <td>{{Spec2("Encoding")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.TextEncoder.encode")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{DOMxRef("TextEncoder")}} interface it belongs to.</li>
</ul>
